ARG DOCKER_VERSION=20
ARG PYTHON_VERSION=3

FROM docker.io/docker/buildx-bin as buildx
FROM docker:${DOCKER_VERSION}-dind

ARG DOCKER_VERSION
ARG PYTHON_VERSION

RUN echo DOCKER_VERSION=${DOCKER_VERSION}
RUN echo PYTHON_VERSION=${PYTHON_VERSION}

# Install Python
ENV PYTHONUNBUFFERED=1
RUN apk add --no-cache python${PYTHON_VERSION} \
    && python3 -m ensurepip \
    && pip3 install --upgrade pip \
    && pip3 install wheel \
    && python3 --version \
    && pip3 --version

# Install buildx plugin
COPY --from=buildx /buildx /usr/libexec/docker/cli-plugins/docker-buildx
RUN docker buildx version

ENTRYPOINT ["dockerd-entrypoint.sh"]
CMD []
